al_transform_coordinates_3d(3)

NAME

al_transform_coordinates_3d - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_transform_coordinates_3d(const ALLEGRO_TRANSFORM *trans,
       float *x, float *y, float *z)

DESCRIPTION

Transform x, y, z coordinates.

Parameters:

•   trans - Transformation to use

•   x, y, z - Pointers to the coordinates

Note: If you are using a projection transform you most likely will want to use al_transform_coordinates_3d_projective(3) instead.

Since 5.1.9

SEE ALSO

al_use_transform(3), al_transform_coordinates(3)